Package org.duckdb

# Class DuckDBVector

java.lang.Object
org.duckdb.DuckDBVector

public class DuckDBVector extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`protected ByteBuffer`
`constlen_data`
`protected String`
`duckdb_type`
`protected int`
`length`
`protected boolean[]`
`nullmask`
`protected Object[]`
`varlen_data`

## Constructor Summary

Constructors
Constructor
Description
`DuckDBVector(String duckdb_type, int length, boolean[] nullmask)`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### duckdb_type

protected String duckdb_type

### length

protected int length

### nullmask

protected boolean[] nullmask

### constlen_data

protected ByteBuffer constlen_data

### varlen_data

protected Object[] varlen_data

## Constructor Details

### DuckDBVector

public DuckDBVector(String duckdb_type, int length, boolean[] nullmask)